// DlgHistoryMoveOpeList.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "dynamicdraw.h"
#include "DlgHistoryMoveOpeList.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCDlgHistoryMoveOpeList _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

CFCDlgHistoryMoveOpeList::CFCDlgHistoryMoveOpeList(CWnd* pParent /*=NULL*/)
	: BASE_CLASS(CFCDlgHistoryMoveOpeList::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFCDlgHistoryMoveOpeList)
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
}

void CFCDlgHistoryMoveOpeList::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCDlgHistoryMoveOpeList)
	DDX_Control(pDX, IDC_HMO_STC_BORDER_3, m_stcBorder3);
	DDX_Control(pDX, IDC_HMO_STC_BORDER_2, m_stcBorder2);
	DDX_Control(pDX, IDC_HMO_STC_BORDER_1, m_stcBorder1);
	DDX_Control(pDX, IDC_HMO_SPN_TIME_PASS_SECOND, m_spnTimePassSecond);
	DDX_Control(pDX, IDC_HMO_SPN_TIME_PASS_MINUTE, m_spnTimePassMinute);
	DDX_Control(pDX, IDC_HMO_SPN_TIME_PASS_HOUR, m_spnTimePassHour);
	DDX_Control(pDX, IDC_HMO_SPN_INTERVAL_SECOND, m_spnIntervalSecond);
	DDX_Control(pDX, IDC_HMO_SPN_INTERVAL_MINUTE, m_spnIntervalMinute);
	DDX_Control(pDX, IDC_HMO_SPN_INTERVAL_HOUR, m_spnIntervalHour);
	DDX_Control(pDX, IDC_HMO_SPN_SESSION_COUNT, m_spnSessionCount);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFCDlgHistoryMoveOpeList, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCDlgHistoryMoveOpeList)
	ON_WM_CTLCOLOR()
	ON_EN_CHANGE(IDC_HMO_EDT_SESSION_COUNT, OnChangeHmoEdtSessionCount)
	ON_EN_CHANGE(IDC_HMO_EDT_INTERVAL_HOUR, OnChangeHmoEdtIntervalHour)
	ON_EN_CHANGE(IDC_HMO_EDT_INTERVAL_MINUTE, OnChangeHmoEdtIntervalMinute)
	ON_EN_CHANGE(IDC_HMO_EDT_INTERVAL_SECOND, OnChangeHmoEdtIntervalSecond)
	ON_EN_CHANGE(IDC_HMO_EDT_TIME_PASS_HOUR, OnChangeHmoEdtTimePassHour)
	ON_EN_CHANGE(IDC_HMO_EDT_TIME_PASS_MINUTE, OnChangeHmoEdtTimePassMinute)
	ON_EN_CHANGE(IDC_HMO_EDT_TIME_PASS_SECOND, OnChangeHmoEdtTimePassSecond)
	ON_BN_CLICKED(IDC_HMO_BTN_APPEND_BY_SESSION, OnHmoBtnAppendBySession)
	ON_BN_CLICKED(IDC_HMO_BTN_APPEND_BY_INTERVAL, OnHmoBtnAppendByInterval)
	ON_BN_CLICKED(IDC_HMO_BTN_APPEND_BY_TIME_PASS, OnHmoBtnAppendByTimePass)
	ON_BN_CLICKED(IDC_HMO_BTN_REMOVE_ITEM, OnHmoBtnRemoveItem)
	ON_LBN_SELCHANGE(IDC_HMO_LST_OPE_LIST, OnSelchangeHmoLstOpeList)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	//}}AFX_MSG_MAP
//	ON_LBN_DBLCLK(IDC_HMO_LST_OPE_LIST, OnDblclkHmoLstOpeList)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCDlgHistoryMoveOpeList _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

